# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# C:\b\abs_57lmcu9n14\clone\recipe, last modified Tue May 16 14:32:19 2023
# ------------------------------------------------

package:
  name: thinc
  version: 8.1.10
source:
  sha256: 6c4a48d7da07e044e84a68cbb9b22f32f8490995a2bab0bfc60e412d14afb991
  url: https://pypi.io/packages/source/t/thinc/thinc-8.1.10.tar.gz
build:
  number: '0'
  script: C:\\b\\abs_57lmcu9n14\\croot\\thinc_1684243959753\\_h_env\\python.exe -m
    pip install . --no-deps --no-build-isolation -vv
  string: py39hf497b98_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 haa95532_0
    - cymem 2.0.6 py39hd77b12b_0
    - cython 0.29.32 py39hd77b12b_0
    - cython-blis 0.7.9 py39h080aedc_0
    - intel-openmp 2023.1.0 h59b6b97_46319
    - mkl 2023.1.0 h8bd8f75_46356
    - mkl-service 2.4.0 py39h2bbff1b_1
    - mkl_fft 1.3.6 py39hf11a4ad_1
    - mkl_random 1.2.2 py39hf11a4ad_1
    - murmurhash 1.0.7 py39hd77b12b_0
    - numpy 1.21.5 py39h6917f2d_4
    - numpy-base 1.21.5 py39h46c4fa8_4
    - openssl 1.1.1t h2bbff1b_0
    - pip 23.0.1 py39haa95532_0
    - preshed 3.0.6 py39h6c2663c_0
    - python 3.9.16 h6244533_2
    - setuptools 66.0.0 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py39haa95532_0
  run:
    - catalogue >=2.0.4,<2.1.0
    - confection >=0.0.1,<1.0.0
    - cymem >=2.0.2,<2.1.0
    - cython-blis >=0.7.8,<0.8.0
    - murmurhash >=1.0.2,<1.1.0
    - numpy >=1.21.5,<2.0a0
    - packaging >=20.0
    - preshed >=3.0.2,<3.1.0
    - pydantic >=1.7.4,!=1.8,!=1.8.1,<1.11.0
    - python >=3.9,<3.10.0a0
    - setuptools
    - srsly >=2.4.0,<3.0.0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
    - wasabi >=0.8.1,<1.2.0
test:
  commands:
    - pip check
    - python -m pytest --tb=native --pyargs thinc
  imports:
    - thinc
    - thinc.api
    - thinc.backends
    - thinc.extra
    - thinc.layers
    - thinc.shims
  requires:
    - hypothesis
    - mock
    - pathy >=0.3.5
    - pip
    - pytest
about:
  description: 'Thinc is a lightweight deep learning library that offers an elegant,
    type-checked, functional-programming API

    for composing models, with support for layers defined in other frameworks

    such as PyTorch, TensorFlow and MXNet. You can use Thinc as an interface layer,
    a standalone toolkit

    or a flexible way to develop new models. Previous versions of Thinc have been
    running quietly in production in thousands of companies,

    via both spaCy and Prodigy.

    '
  dev_url: https://github.com/explosion/thinc/
  doc_url: https://thinc.ai/docs
  home: https://thinc.ai/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A refreshing functional take on deep learning, compatible with your favorite
    libraries.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 573f23d9-9f7c-4ff0-8657-489be6adaa61
  recipe-maintainers:
    - adrianeboyd
    - honnibal
    - ines
    - rmax
  remote_url: git@github.com:AnacondaRecipes/thinc-feedstock.git
  sha: 6758046b23b8a0aefad14276f11fe2b8146dc3a5
  skip-lints:
    - cython_needs_compiler
    - python_build_tool_in_run
